'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var _jsxFileName = 'src/index.js';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /**
                                                                                                                                                                                                                              * Created by hjingfen<hjingfen@gmail.com>.
                                                                                                                                                                                                                              * ComponentName Loading
                                                                                                                                                                                                                              * Desc 组件描述内容
                                                                                                                                                                                                                              * GroupName lm-component
                                                                                                                                                                                                                              */


var propTypes = {
    isShow: _propTypes2.default.bool.isRequired, //是否显示loading  必传
    content: _propTypes2.default.string, //loading下方显示的描述内容
    opacity: _propTypes2.default.number, //蒙层的透明度 默认是0
    customClass: _propTypes2.default.string, //自定义样式 取名不当 readme里已删除 
    className: _propTypes2.default.string //自定义样式
};

var defaultProps = {
    isShow: false,
    content: '',
    opacity: 0,
    customClass: '',
    className: ''
};

var Loading = function Loading(_ref) {
    var isShow = _ref.isShow,
        content = _ref.content,
        opacity = _ref.opacity,
        className = _ref.className,
        customClass = _ref.customClass,
        others = _objectWithoutProperties(_ref, ['isShow', 'content', 'opacity', 'className', 'customClass']);

    var cls = (0, _classnames2.default)({ "hidden": !isShow }, "lm-loading", className, customClass);

    //有时loading只需要展示那个转动的菊花,有时需要在菊花下面展示提示文案,根据content有无传入值进行区分
    return _react2.default.createElement(
        'div',
        _defineProperty({ className: cls, style: { backgroundColor: 'rgba(0, 0, 0, ' + opacity + ')' }, __source: {
                fileName: _jsxFileName,
                lineNumber: 47
            },
            __self: undefined
        }, '__self', undefined),
        _react2.default.createElement(
            'div',
            _defineProperty({ className: 'lm-loading-body', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 48
                },
                __self: undefined
            }, '__self', undefined),
            _react2.default.createElement('i', _defineProperty({ className: 'lm-loading-icon', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 49
                },
                __self: undefined
            }, '__self', undefined)),
            content && _react2.default.createElement(
                'p',
                _defineProperty({ className: 'lm-loading-content', __source: {
                        fileName: _jsxFileName,
                        lineNumber: 50
                    },
                    __self: undefined
                }, '__self', undefined),
                content
            )
        )
    );
};

Loading.propTypes = propTypes;
Loading.defaultProps = defaultProps;

exports.default = Loading;
module.exports = exports['default'];