/**
 * Created by hjingfen<hjingfen@gmail.com>.
 * ComponentName Loading
 * Desc 组件描述内容
 * GroupName lm-component
 */
import React from 'react'
import PropTypes from 'prop-types'

import classNames from 'classnames';
import './index.scss';


const propTypes = {
    isShow: PropTypes.bool.isRequired,  //是否显示loading  必传
    content: PropTypes.string,          //loading下方显示的描述内容
    opacity: PropTypes.number,          //蒙层的透明度 默认是0
    customClass: PropTypes.string,      //自定义样式 取名不当 readme里已删除 
    className: PropTypes.string         //自定义样式
};

const defaultProps = {
    isShow: false,
    content: '',
    opacity: 0,
    customClass: '',
    className: ''
};

const Loading = ({
                isShow,
                content,
                opacity,
                className,
                customClass,
                ...others
             }) => {
    let cls = classNames(
        {"hidden": !isShow },
        "lm-loading",
        className,
        customClass
    );

    //有时loading只需要展示那个转动的菊花,有时需要在菊花下面展示提示文案,根据content有无传入值进行区分
    return (
        <div className={cls} style={{backgroundColor: `rgba(0, 0, 0, ${opacity})`}}>
            <div className="lm-loading-body">
                <i className="lm-loading-icon"></i>
                { content && <p className="lm-loading-content">{content}</p> }
            </div>
        </div>
    )
};

Loading.propTypes = propTypes;
Loading.defaultProps = defaultProps;

export default Loading;
